package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.BillPushGoods;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface BillPushGoodsService {
	BillPushGoods get(String id);
	boolean exist(String id);
	int insert(BillPushGoods model);
	int update(BillPushGoods model);
	int delete(String id);
	List<BillPushGoods> list();
	Page<BillPushGoods> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);
	Page<BillPushGoods> pageSearchStatistics(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);
    List<BillPushGoods> findByBillPushId(String billPushId);
    BillPushGoods findLastByCheckinInfoIdAndGoodsId(String checkinInfoId, String goodsId);
}